[Testing Update] 2018-04-23 - Cinnamon, XFCE, Adapta Theme

update
testing

#1

Hi community,

welcome to another testing update of Manjaro. We added again the latest available features:

  • We worked on our Adapta themes
  • Fixed some issues with Cinnamon
  • And had some XFCE4-GTK3 updates
  • Plus the usual Python upstream packages

Our effort and all the needed information about the new security risk can be found here.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.56
  • linux318 3.18.105 [EOL]
  • linux41 4.1.51
  • linux44 4.4.128
  • linux49 4.9.95
  • linux414 4.14.35
  • linux415 4.15.18 [EOL]
  • linux416 4.16.3
  • linux417 4.17-rc1
  • linux-rt 4.14.34_rt27

Package Updates (Mon Apr 23 08:58:35 CEST 2018)

  • testing core x86_64: 4 new and 4 removed package(s)
  • testing community x86_64: 32 new and 29 removed package(s)

Package Overlay Updates

  • testing extra x86_64: 3 new and 2 removed package(s)
  • testing community x86_64: 8 new and 7 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           1998-04-22           1998-04-23
-------------------------------------------------------------------------------
           adapta-black-breath-theme         3.93.0.258-1         3.93.0.268-1
             adapta-black-maia-theme         3.93.0.258-1         3.93.0.268-1
                 adapta-breath-theme         3.93.0.258-1         3.93.0.268-1
                   adapta-maia-theme         3.93.0.258-1         3.93.0.268-1
                            cinnamon              3.6.7-3              3.6.7-4
              manjaro-openbox-common                1.1-1              1.1.1-1
                    ms-office-online            18.04.1-5            18.04.2-1
       xfce4-whiskermenu-plugin-gtk3              2.1.6-1              2.1.7-1
                thunar-shares-plugin                    -          0.2.0.git-5


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           1998-04-22           1998-04-23
-------------------------------------------------------------------------------
                               acpid             2.0.29-1             2.0.29-2
                            cinnamon              3.6.7-2              3.6.7-3
                cinnamon-screensaver              3.6.1-1              3.8.0-1
               cinnamon-translations              3.6.4-1              3.8.0-1
                            cppcheck               1.82-1               1.83-1
                                cuda           9.1.85.2-1           9.1.85.3-1
                firefox-adblock-plus              3.0.1-2              3.0.4-1
                                gdal              2.2.4-1              2.2.4-2
                              gitlab             10.7.0-1             10.7.0-2
                          kio-gdrive              1.2.2-1              1.2.3-1
                              muffin              3.6.0-1              3.8.0-1
                                nemo              3.6.5-1              3.8.0-1
                         python-gdal              2.2.4-1              2.2.4-2
                   python-hypothesis             3.56.3-1             3.56.5-1
                         python-jedi             0.11.1-1             0.12.0-1
                   python-novaclient             10.1.0-1             10.2.0-1
                     python-pyassert              0.4.2-3              0.4.2-4
                    python-pybuilder            0.11.10-1            0.11.17-1
                        python-pyfix              0.2.3-3              0.2.3-4
                      python-pytools             2018.3-1             2018.4-1
                   python-simplejson             3.13.2-1             3.14.0-1
             python-sortedcontainers              1.5.9-1             1.5.10-1
                        python2-gdal              2.2.4-1              2.2.4-2
                  python2-hypothesis             3.56.3-1             3.56.5-1
                        python2-jedi             0.11.1-1             0.12.0-1
                  python2-novaclient             10.1.0-1             10.2.0-1
                     python2-pytools             2018.3-1             2018.4-1
                  python2-simplejson             3.13.2-1             3.14.0-1
            python2-sortedcontainers              1.5.9-1             1.5.10-1
                       python-tailer                    -              0.4.1-1
                            rssguard                    -              3.5.6-2
                rssguard-nowebengine                    -              3.5.6-2


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           1998-04-22           1998-04-23
-------------------------------------------------------------------------------
                               gpgme             1.10.0-2             1.11.1-1
                        python-gpgme             1.10.0-2             1.11.1-1
                       python2-gpgme             1.10.0-2             1.11.1-1
                              qgpgme             1.10.0-2             1.11.1-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           1998-04-22           1998-04-23
-------------------------------------------------------------------------------
              manjaro-settings-samba           20180420-1           20180422-2
                    xfce4-panel-gtk3             4.13.2-4             4.13.2-5
           thunar-shares-plugin-gtk3                    -              0.3.0-1

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:


#2

This is a wiki post; please edit as necessary.


Nautilus - Middle click on any location in other-locations:/// closes tab



#3

As the update’s name implied, it was rather slim pickings for KDE this time [but it went ok]:

Update Manjaro's Repo Mirrors List with current 7 [etc] active & fastest Servers
Method = rank [rank mirrors depending on their access time]
Protocols = https
sudo pacman-mirrors -f 7
[sudo] password for kdemeoz: 
.: INFO Downloading mirrors from repo.manjaro.org
.: INFO: Querying mirrors - This may take some time
   1.464 Denmark        : 00:02: https://www.uex.dk/public/manjaro/
   1.311 Germany        : 00:03: https://mirror.philpot.de/manjaro/
   ..... Germany        : 00:03: https://manjaro.moson.eu/
.: INFO Writing mirror list
   Germany         : https://mirror.philpot.de/manjaro/testing
   Denmark         : https://www.uex.dk/public/manjaro/testing
.: INFO Mirror list generated and saved to: /etc/pacman.d/mirrorlist
Now re-synchronise my Pacman database, & *check/do* updates
sudo pacman -Syyu
:: Synchronising package databases...
 core                                                 143.4 KiB   216K/s 00:01 [#############################################] 100%
 extra                                               1723.3 KiB  1298K/s 00:01 [#############################################] 100%
 community                                              4.6 MiB   417K/s 00:11 [#############################################] 100%
 multilib                                             178.2 KiB   140K/s 00:01 [#############################################] 100%
 herecura                                              64.2 KiB  76.9K/s 00:01 [#############################################] 100%
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...

Packages (3) acpid-2.0.29-2  gpgme-1.11.1-1  qgpgme-1.11.1-1

Total Download Size:   0.64 MiB
Total Installed Size:  2.47 MiB
Net Upgrade Size:      0.05 MiB

:: Proceed with installation? [Y/n] y

:slight_smile:


#4

1998?


#5

A test system with expired CMOS?


#6

51bb1KcmOZL


#7

Xfce, kernel 416 no issues.


#8

Localisation don’t worked in cinnamon. Exit and restart windows are english.


#9

I voted “no problems” earlier this morning, but now I’m seeing that all my partitions with Slick-Greeter are coming up with a black screen instead of a background image. Functionality is fine, but I can see where this would raise alarms with a stable update.


#10

Just wanted to test if someone even reads the announcement :wink:


#11

Philm
LOL. Not only the announcement but the boxits as well Without problems on

  Host: OrphanedInode3 Kernel: 4.16.3-1-MANJARO x86_64 bits: 64 
  compiler: gcc v: 7.3.1 Desktop: Xfce 4.12.4 tk: Gtk 2.24.31 
  Distro: Manjaro Linux 17.1.8 Hakoila 
Machine:
  Type: Desktop System: ASUS product: All Series v: N/A serial: N/A 
  Mobo: ASUSTeK model: SABERTOOTH Z97 MARK 1/USB 3.1 v: Rev 1.xx serial: N/A 
  UEFI [Legacy]: American Megatrends v: 2801 date: 11/11/2015 
CPU:
  Topology: Quad Core model: Intel Core i7-4790 bits: 64 type: MT MCP 
  arch: Haswell rev: 3 L2 cache: 8192 KiB 
  flags: lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx bogomips: 57567 
  Speed: 2599 MHz min/max: 800/4000 MHz Core speeds (MHz): 1: 2291 2: 1916 
  3: 1799 4: 2412 5: 2176 6: 2056 7: 1745 8: 2091 
Graphics:
  Card-1: NVIDIA GM107 [GeForce GTX 750 Ti] driver: nvidia v: 390.48 

Regards and again thanks to the maintainers and devs.


#12

Nice. :grinning: :+1:

Xfce with 4.17 kernel. No problems noticed with the latter so far.


#13

I’m a little new – can someone explain using xfce4-panel-gtk3 as it conflicts with the existing xfce4-panel? Is this simply a new point release for the xfce panel as announced here and potentially still more beta?


#14

This is just a package we use for the XFCE-GTK3 package series. Should not be used by normal XFCE package set.


#15

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.